Bug 4235 - лезет куда не просят
: лезет куда не просят
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-26 05:19 by
Modified: 2005-08-30 02:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-26 05:19:11
/etc/init.d/httpd делает hostname localhost в случае, когда `hostname` не
резолвится.  Правомерность этого поведения сомнительна, происхождение -- тоже
(унаследовано как минимум от ALM2.2).
------- Comment #1 From 2004-06-16 13:44:55 -------
проявлялось только в new-style initscript (недопортировано восстановление
небэкрезолвящегося hostname); исправлено в apache-1.3.31rusPL30.20-alt3
------- Comment #2 From 2004-06-16 13:45:33 -------
"я тебя открыл, я тебя и closed"
------- Comment #3 From 2004-07-24 21:32:07 -------
блин :( потерял изменение :(
------- Comment #4 From 2004-08-06 19:10:22 -------
re-fixed in 1.3.31rusPL30.20-alt9
------- Comment #5 From 2004-09-09 14:35:15 -------
Вообще говоря, надо бы это оторвать нафиг, если нет объективных причин
сохранять.

2 ab: если _вдруг_ помнишь какой нюанс -- сообщи.
------- Comment #6 From 2005-01-29 18:41:21 -------
Fixed нафиг полным отрыванием (с просмотром initscript в fc3) в
1.3.33rusPL30.20-alt3
------- Comment #7 From 2005-08-30 02:24:48 -------
closing
------- Comment #8 From 2005-08-30 02:36:13 -------
closing